## org.eclipse.datatools.connectivity.ui
Interface ICategoryActionFilter

    public interface ICategoryActionFilter

Constants used when evaluating category state through IActionFilter or IPropertyTester TODO: remove duplicate entries.

Field Summary
`static java.lang.String` `CATEGORY_ID`
`static java.lang.String` `CATEGORY_PROPERTY_CATEGORY_ID` Used to filter profiles within a specific category
`static java.lang.String` `CATEGORY_PROPERTY_REPOSITORY_IS_READ_ONLY`
`static java.lang.String` `REPOSITORY_IS_READ_ONLY`

Field Detail

### CATEGORY_PROPERTY_CATEGORY_ID

    static final java.lang.String CATEGORY_PROPERTY_CATEGORY_ID

  Used to filter profiles within a specific category

  See Also:
    Constant Field Values

### CATEGORY_ID

    static final java.lang.String CATEGORY_ID

See Also:
  Constant Field Values

### CATEGORY_PROPERTY_REPOSITORY_IS_READ_ONLY

    static final java.lang.String CATEGORY_PROPERTY_REPOSITORY_IS_READ_ONLY

See Also:
  Constant Field Values

### REPOSITORY_IS_READ_ONLY

    static final java.lang.String REPOSITORY_IS_READ_ONLY

See Also:
  Constant Field Values

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.